<md-toolbar class="md-hue-2 no-print">
    <div class="md-toolbar-tools">
        <div flex md-truncate>
            <h2>LOT WISE REPORT</h2>
        </div>
        <md-input-container>
            <label>Round</label>
            <md-select ng-model="master.round_id" ng-change="round_change()">
                <md-option><em>None</em></md-option>
                <md-option ng-repeat="x in Round" ng-value="x.roundId">
                    {{x.roundName}}
                </md-option>
            </md-select>
        </md-input-container>
        <md-button class="md-raised md-primary" ng-click="btnLoadClick()">Load</md-button>
    </div>
</md-toolbar>
<div class="container no-print">
    <br>
    <div class="row">
        <md-input-container class="col-md-3">
            <label>Lot</label>
            <md-select ng-model="search.lotId" multiple="">
                <md-option><em>None</em></md-option>
                <md-option ng-repeat="x in lot_master | orderBy:lotInd" ng-value="x.lotNo">
                    {{x.lotNo}}
                </md-option>
            </md-select>
        </md-input-container>
        <md-input-container class="col-md-3">
            <label>Division</label>
            <md-select ng-model="search.lotDISTU" multiple="">
                <md-option><em>None</em></md-option>
                <md-option ng-repeat="x in lotDISTU | orderBy:x" ng-value="x">
                    {{x}}
                </md-option>
            </md-select>
        </md-input-container>
        <md-input-container class="col-md-3">
            <label>Up To Rank</label>
            <input ng-model="search.uptorank" type="text ">
        </md-input-container>
        <md-input-container class="col-md-3">
            <label>Party Head Code</label>
            <input ng-model="search.party_head_code" type="text ">
        </md-input-container>
    </div>
</div>
<br />
<div class="container mar-top">

    {{get_heading()}} <b ng-if="search.party_head_code != undifined && search.party_head_code !=''">Head Code :
        {{search.party_head_code}} Party Name :
        {{get_display_name(search.party_head_code)}}</b> <b ng-if="search.lotDISTU!=undifined && search.lotDISTU!=''">Division :
        {{search.lotDISTU}}</b>
    <!-- {{get_party_name()}} -->

    <!-- <p>{{farm.farmName}} {{farm.farmAddress}}</p> -->
    <div style="font-size: 13px;" ng-repeat="(m,x) in lots | filter:myFilter | filter:{ lotNo : search.lotNo} | filter:lotDISTUFilter" ng-if="x.party_lot_data.length>0">
        <p style="text-align: left; margin-bottom: -3px;">LOT NO : {{x.lotNo}} &nbsp; STD. BAGS {{x.lotSTANB}} &nbsp; SOCIETY : {{x.lotName}} &nbsp; D. UNTION : {{x.lotDISTU}} &nbsp; <span class="no-print"> UNIT NAME :
                {{x.lotNameU}} </span> &nbsp; AC BAGS : {{x.lotACTB}}</p>
        <table class="table table-bordered table-striped table-hover table-sm" style="font-size: 13px;">
            <thead>
                <tr>
                    <th style="width: 50;">SNo</th>
                    <th>Name</th>
                    <th style="width: 80;">Rate</th>
                    <th style="width: 80;">Priority</th>
                    <th style="width: 80;">Status</th>
                    <th style="text-align: right;width: 80;">Capacity</th>
                    <th style="text-align: right;width: 80;">Code</th>
                    <!-- <th style="width: 130;">Lot Qty/Rate</th> -->
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="(mi,xi) in x.party_lot_data | filter: leasethen | orderBy:'myValueFunction'" ng-if="xi.party_lot_pur_rate>0">
                    <td>{{mi+1}}</td>
                    <td>{{xi.party.party_display_name}}</td>
                    <td style="text-align: right;">{{xi.party_lot_pur_rate | INR}}</td>
                    <td style="text-align: left;">{{xi.party_lot_priority}}</td>
                    <td>{{xi.party_lot_status | spaceFlt}}</td>
                    <td style="text-align: right;">{{xi.party.party_purchase_capacity | INR}}</td>
                    <td style="text-align: right;">{{xi.party.party_head_code}}</td>
                    <!-- <td>{{xi.party_lot_qty_per_rate}}</td> -->
                </tr>
            </tbody>
        </table>
    </div>
</div>